Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.converters.marshaller.xml
[Java] Class InstanceMethodBasedMarshaller

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.marshaller.xml.InstanceMethodBasedMarshaller

All Implemented Interfaces:
  ObjectMarshaller

    public class InstanceMethodBasedMarshaller
    extends java.lang.Object

Authors:
  Siegfried Puchbauer

Since:
  1.1

Method Summary
`protected groovy.lang.MetaMethod` | `getToXMLMethod(java.lang.Object object)`
`void` | `marshalObject(java.lang.Object object, XML converter)`
`boolean` | `supports(java.lang.Object object)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getToXMLMethod

    protected groovy.lang.MetaMethod getToXMLMethod(java.lang.Object object)

### marshalObject

    public void marshalObject(java.lang.Object object, XML converter)

### supports

    public boolean supports(java.lang.Object object)

Groovy Documentation